synergy+glipper causes clipboard to stop working on WinXP client

Bug #135658 reported by Cliff Brake on 2007-08-29
4
Affects Status Importance Assigned to Milestone
Glipper
Low
Laszlo Pandy
glipper (Ubuntu)
Low
Unassigned

Bug Description

Setup

Ubuntu 7.04 desktop (AMD64)
running synergy and glipper
synergy server on Ubuntu
synergy client on WinXP

The clipboard stops working on WinXP as soon as I start glipper. If I stop glipper, the clipboard on WinXP starts working again.

Ricky Brent (rickybrent) wrote :

This happens in Ubuntu 7.10 (AMD64) as well, and is not limited only to Synergy on Windows machines -- all connected clients do not work if the machine running the synergy server is also running Glipper.

There are no issues if you run Glipper and then run Synergy in client mode as long as the server is not running Glipper.

No idea what causes this, but my "workaround" is to run Klipper instead of Glipper on the server; it's not GTK, but they work the same way, and it does not conflict with Synergy.

I confirmed this bug because I'm having this problem too. The bug seems not to be reported upstream (there is no bug in the synergy bugtracker containing the word "glipper") but OTOH there seems to be no point in doing so because there are already >500 bugs reported without anyone doing something.

Cliff Brake (cliff-brake) wrote :

One workaround is to use klipper, then everything seems to work fine, so I'm not sure if the problem is with glipper or synergy ...

Ricky Chan (ricky-ricky-chan) wrote :

Another alternative is to use parcellite a GTK based clipboard, it's very basic and simple and works on the machine that's running synergy server fine.

klipper will install KDE dependancies and is pretty slow under gnome and not very stable.

Synergy has had no updated releases since 2006, but looks like stuff is still going into SVN, so it's conceivable that a fix is in there. I think the synergy project needs a release manager maybe, as there are patches submitted but no releases forthcoming (nearly 3 years!).

Luke Faraone (lfaraone) on 2009-10-07
affects: ubuntu → glipper (Ubuntu)
Changed in glipper (Ubuntu):
importance: Undecided → Low
Laszlo Pandy (laszlok) wrote :

Can you please test with glipper 2.0? I believe it is related to bug #104432.

You can get glipper 2.0 as a tarball or from the PPA:
http://launchpad.net/glipper/+download
http://launchpad.net/~glipper-drivers/+archive/ppa

Changed in glipper:
assignee: nobody → Laszlo Pandy (laszlok)
status: New → Incomplete
importance: Undecided → Low
Laszlo Pandy (laszlok) on 2011-04-21
Changed in glipper (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for glipper (Ubuntu) because there has been no activity for 60 days.]

Changed in glipper (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers